SELECT
	p.purchase_id,
	p.email,
	pd.purchase_detail_id,
	pd.product_id,
	pd.action_id,
	pd.ad_id,
	pd.payment_group_id,
	ad.list_id,
	COALESCE(
		(SELECT new_value
		FROM ad_changes
		WHERE ad_id = pd.ad_id
		AND action_id = (
			SELECT MAX(action_id)
			FROM ad_actions aa
			INNER JOIN ad_changes ac USING (ad_id, action_id)
			WHERE aa.ad_id = pd.ad_id
			AND aa.action_type = 'edit'
			AND aa.state = 'pending_review'
			AND aa.action_id < pd.action_id
			AND ac.column_name = 'category'
		)
		AND column_name = 'category'),
		ad.category::varchar(5) ) as category,
	COALESCE((
		SELECT
			ap.value
		FROM
			account_params ap
			JOIN purchase p USING (account_id)
		WHERE
			p.payment_group_id = <%%payment_group_id%>
			AND ap.name = 'is_pro_for'
		), '') as is_pro_for,
	ad.subject,
	ps.status AS purchase_status,
	ps.timestamp,
	ps.remote_addr,
	p.account_id,
	ad.status AS ad_status
FROM
	purchase p
	JOIN purchase_detail pd USING (purchase_id)
	JOIN purchase_states ps USING (purchase_id)
	LEFT JOIN ads ad USING (ad_id)
WHERE
	pd.payment_group_id = <%%payment_group_id%>
ORDER BY
	pd.purchase_detail_id ASC;
